import { OperationMethods } from "../constants/httpMethods.js";
export class JsonOperationPathsMap extends Map {
    $kind = "operationPaths";
    $isJsonDocument = true;
    setOperationPath(operationPath) {
        if (operationPath.method !== OperationMethods.CUSTOM) {
            const key = this.getKey(operationPath.method, operationPath.path);
            this.set(key, operationPath);
        }
    }
    getKey = (method, path) => `${method}-${path}`;
}
//# sourceMappingURL=JsonOperationPathsMap.js.map