import { OS3Schema } from "@tsed/openspec";
import type { JSONSchema6 } from "json-schema";
import { JsonParameter } from "../domain/JsonParameter";
import { JsonSchemaOptions } from "../interfaces/JsonSchemaOptions";
export type JsonParameterOptions = JsonSchemaOptions & {
    jsonParameter: JsonParameter;
    jsonSchema: JSONSchema6;
    oldSchemas: Record<string, OS3Schema>;
};
export declare function operationInParameterMapper(jsonParameter: JsonParameter, opts?: JsonSchemaOptions): any;
